import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询库存管理列表
export function listIncomeWmsBox(query) {
  return request({
    url: '/incomewmsbox/list',
    method: 'get',
    params: query
  })
}

// 2. 查询库存管理详细信息
export function getIncomeWmsBox(businessId) {
  return request({
    url: '/incomewmsbox/detail/' + businessId,
    method: 'get'
  })
}


// 3. 新增库存管理
export function addIncomeWmsBox(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsbox/add',
    method: 'post',
    data: data
  })
}

// 4. 修改库存管理
export function updateIncomeWmsBox(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomewmsbox/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除库存管理
export function delIncomeWmsBox(businessId) {
  return request({
    url: '/incomewmsbox/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出库存管理
export function exportIncomeWmsBox(query) {
  return request({
    url: '/incomewmsbox/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
// 7.获取单号
export function getJcCode() {
  return request({
    url: '/incomewmsbox/getJcCode',
    method: 'get'
  })
}
// 8. 查询满足条件的条数
export function queryPass(lot) {
  return request({
    url: '/incomewmsbox/queryPass/' + lot,
    method: 'get'
  })
}

// 9. 批量新增库存管理
export function batchAddIncomeWmsBox(data) {
  return request({
    url: '/incomewmsbox/batchAdd',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
export function checkIsZero(data) {
  return request({
    url: 'incomewmsbox/checkIsZero',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
